Subject: RE: [Simple] Message Sessions: SDP and TLS

From: [email-masked]
Date: Tue, 8 Apr 2003 16:53:40 +0300

Comedia actually specifies a protocol identifier of TLS for m=, but the wording implies that TCP is always used as underlying transport.

Here seems to be another contact point to comedia, and it's not clear to me why we need to solve the same problem in two places at the same time.

On the specific proposals below, the presentation attribute of tls would seem like the easiest and cleanest way forward.

Cheers,
Aki

 > -----Original Message-----
 > From: ext Adam Roach [mailto:[email-masked]]
 > Sent: 08 April, 2003 02:48
 > To: [email-masked]'
 > Subject: [Simple] Message Sessions: SDP and TLS
 > 
 > 
 > The current message sessions draft has language that
 > specifies that the syntax "m=message xxxx msrp/tls ..."
 > is used to specify that a TLS connection will be used.
 > 
 > I think this will cause big problems in the future.
 > In particular, while it's clear from the syntax that
 > TLS will be used, we've lost any indication of which
 > transport will be used. TCP? SCTP? Something else?
 > 
 > TLS is in the presentation layer. I don't think SDP
 > has been extended for TLS yet, but when it is, I would
 > think a syntax more like "msrp/tcp-tls" or "msrp/sctp-tls"
 > would be more appropriate.  (Not technically *correct*
 > according to my understanding of 2327, but at least it
 > doesn't confound presentation with transport as badly).
 > Or, even better, "msrp/tcp" with an "a=presentation:tls"
 > line.
 > 
 > Thoughts?
 > 
 > /a
 > _______________________________________________
 > Simple mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/simple
 > 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple